# 联系方式

- 姓名：刘爽/男/1997
- 电话：17730014137
- 邮箱：jkwlstv@outlook.com
- 个人网站：http://git.jkwlstv.cn/doc/me

# 工作经历

| 公司名称 | 入职日期 | 离职日期 | 所在地 |
|:-----|:-----|:-----|:-----|
| 合肥统旭智慧科技有限公司 | 2025/04 | 2025/06 | 合肥 |
| 极氪智能科技 | 2023/07 | 2025/03 | 杭州 |
| 江苏普飞科特信息科技有限公司 | 2019/07 | 2023/05 | 成都 |
| 上海柏维信息技术有限公司 | 2017/05 | 2019/06 | 上海 |

# 技能清单

| 技能点 | 掌握程度 | 补充 |
|:-----|:-----|:-----|
| MySQL | 熟练 | B+Tree、MVCC |
| ShardingJDBC | 熟练 | 分库分表、动态数据源、多租户数据源 |
| Redis | 熟练 | 分布式缓存、分布式锁（Redisson）|
| RocketMQ | 熟练 | 普通消息、定时消息、顺序消息、事务消息 |
| Spring Boot | 熟练 | 能手写starter集成中间件或封装二方库 |
| Spring Cloud | 熟练 | 基于Spring Cloud Alibaba构建微服务应用 |
| Linux | 熟练 | 熟练编写Shell脚本发布应用或追踪问题，例如在服务器上安装1Panel，通过可视化WebUI创建计划任务，定时采集某些数据 | 
| Docker | 熟练 | 熟练编写 Dockerfile 适配容器化部署 |
| Nginx | 熟练 | 反向代理、静态资源托管、负载均衡 |
| 服务监控 | 熟练 | Spring Boot Actuator、Prometheus、Grafana |
| 线上问题排查 | 熟练 | 服务日志、Arthas、JFR |

# 项目经验

### VIDP（整车集成开发平台）

该项目服务于极氪汽车杭州湾工厂某工程师团队，便于管理整车开发中的部分零部件、造型色彩、设计方案，以及问题跟进、流程审批等功能。

- 职位：Java开发
- 技术栈：MySQL、Redis、Kafka、Spring Boot
- 工作内容：
  - 需求评审、文档和代码编写
  - 编写单元测试、问题排查及修复
  - 引入消息中间件处理异步任务，解决采用线程池但是没有持久化队列中的任务，在产生堆积的情况下，应用重启任务丢失的问题

### PinCode（密钥管理系统）

该项目用于管理极氪汽车与谷歌waymo无人驾驶汽车合作研发的车型使用到的密钥，比如车门的门锁密钥，以及车辆中的每个ECU密钥。

- 职位：Java开发
- 技术栈：MySQL、Redis、ES、Spring Boot、ShardingJDBC
- 工作内容：
  - 需求评审、文档和代码编写
  - 编写单元测试、问题排查及修复
  - 引入 ShardingJDBC 使用自定义分表键，分表存储车辆ECU的密钥
  - 利用 ShardingJDBC 自定义分库键实现多租户数据源改造以及动态切换


### 蜂羽

蜂羽是一个网络货运平台，类似于长途运输版的货拉拉，为货主企业物流的管理提供综合解决方案，为运输企业和个体司机提供诸如电子油卡、货物保险、金融等增值服务的平台。

- 职位：开发组长（5人）
- 技术栈：MySQL、Redis、Rocket MQ、Nacos、Apollo、Feign、Seata、Spring Boot、Spring Cloud
- 工作内容：
  - 技术选型、编写技术文档、数据库设计，带领小组按时完成开发任务，巡查并修复生产环境的问题
  - 为项目集成分布式事务中间件 Seata 解决微服务中跨服务跨库数据一致性问题
  - 引入 Rocket MQ 消息中间件，用事件驱动模型解耦微服务之间的依赖，搭建ETL工具（canal+binlog+顺序消息）、集群实例同步JVM内存缓存（广播消费）
  - 构建稳定高效的消息中心服务，包含邮件、短信、外呼电话、隐私号、APP推送
  - 对接并收敛三方支付平台API，搭建公司内部的聚合支付网关，通过事件驱动模型提高支付相关功能的吞吐量
  - 埋点支付相关事件，构建稳定可靠的对账系统，保障交易数据安全
  - 接入 Prometheus、SkyWalking 监测服务运行时状态

### SmartCC外呼中心

SmartCC云呼叫中心是一个集成在线客服、BPM工单、IP电话呼入/呼出的呼叫中心平台。

- 职位：Java开发
- 技术栈：Activity、MySQL、Oracle、Redis、Bootstrap、jQuery、SpringMVC
- 工作内容：参与日常迭代开发和相关文档的编写，按时完成领导交办的任务，在线客服的表结构设计，集成Activity并开发相关业务的工单。